#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(jbd2__journal_start, 0xe618f1d1, "");
SYMBOL_CRC(jbd2_journal_start, 0xed2b6ae9, "");
SYMBOL_CRC(jbd2_journal_free_reserved, 0xb916cf0c, "");
SYMBOL_CRC(jbd2_journal_start_reserved, 0x8451dead, "");
SYMBOL_CRC(jbd2__journal_restart, 0x5975309e, "");
SYMBOL_CRC(jbd2_journal_restart, 0xc8ad6adb, "");
SYMBOL_CRC(jbd2_submit_inode_data, 0xf20cc92c, "");
SYMBOL_CRC(jbd2_wait_inode_data, 0xfbd6539c, "");
SYMBOL_CRC(jbd2_journal_extend, 0x1044e556, "");
SYMBOL_CRC(jbd2_journal_stop, 0xb169cb93, "");
SYMBOL_CRC(jbd2_journal_lock_updates, 0x0663cc98, "");
SYMBOL_CRC(jbd2_journal_unlock_updates, 0xcf9b645f, "");
SYMBOL_CRC(jbd2_journal_get_write_access, 0x9203bd60, "");
SYMBOL_CRC(jbd2_journal_get_create_access, 0xc28b8fce, "");
SYMBOL_CRC(jbd2_journal_get_undo_access, 0x25d1e509, "");
SYMBOL_CRC(jbd2_journal_set_triggers, 0x13aa4ef4, "");
SYMBOL_CRC(jbd2_journal_dirty_metadata, 0x82a8d826, "");
SYMBOL_CRC(jbd2_journal_forget, 0x75ac418b, "");
SYMBOL_CRC(jbd2_journal_flush, 0xfcfac0cc, "");
SYMBOL_CRC(jbd2_journal_revoke, 0x886b540e, "");
SYMBOL_CRC(jbd2_journal_init_dev, 0x5608c44e, "");
SYMBOL_CRC(jbd2_journal_init_inode, 0x9e92833c, "");
SYMBOL_CRC(jbd2_journal_check_used_features, 0x1bf40afe, "");
SYMBOL_CRC(jbd2_journal_check_available_features, 0x232fca11, "");
SYMBOL_CRC(jbd2_journal_set_features, 0x4bb70a06, "");
SYMBOL_CRC(jbd2_journal_load, 0x46b1f580, "");
SYMBOL_CRC(jbd2_journal_destroy, 0xf46da119, "");
SYMBOL_CRC(jbd2_journal_abort, 0x0b455d10, "");
SYMBOL_CRC(jbd2_journal_errno, 0x61d91a55, "");
SYMBOL_CRC(jbd2_journal_ack_err, 0x4f8484c4, "");
SYMBOL_CRC(jbd2_journal_clear_err, 0x50102a2b, "");
SYMBOL_CRC(jbd2_log_wait_commit, 0x06740b48, "");
SYMBOL_CRC(jbd2_journal_start_commit, 0x888eefae, "");
SYMBOL_CRC(jbd2_journal_force_commit_nested, 0xdcf12ba4, "");
SYMBOL_CRC(jbd2_journal_wipe, 0xc403f744, "");
SYMBOL_CRC(jbd2_journal_blocks_per_page, 0x665bb8ab, "");
SYMBOL_CRC(jbd2_journal_invalidate_folio, 0x2f34e451, "");
SYMBOL_CRC(jbd2_journal_try_to_free_buffers, 0x38e879b4, "");
SYMBOL_CRC(jbd2_journal_force_commit, 0x68f79c86, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_write, 0x7c546e0d, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_wait, 0xca847cfb, "");
SYMBOL_CRC(jbd2_journal_finish_inode_data_buffers, 0x1ff2b490, "");
SYMBOL_CRC(jbd2_journal_init_jbd_inode, 0xac779547, "");
SYMBOL_CRC(jbd2_journal_release_jbd_inode, 0xe0246c11, "");
SYMBOL_CRC(jbd2_journal_begin_ordered_truncate, 0xaf1bc3c8, "");
SYMBOL_CRC(jbd2_inode_cache, 0xacd81eb3, "");
SYMBOL_CRC(jbd2_trans_will_send_data_barrier, 0x01f37453, "");
SYMBOL_CRC(jbd2_fc_begin_commit, 0xf695c43b, "");
SYMBOL_CRC(jbd2_fc_end_commit, 0x7151cffa, "");
SYMBOL_CRC(jbd2_fc_end_commit_fallback, 0x360d7b64, "");
SYMBOL_CRC(jbd2_transaction_committed, 0xc2211b66, "");
SYMBOL_CRC(jbd2_complete_transaction, 0xef834780, "");
SYMBOL_CRC(jbd2_fc_get_buf, 0x58458636, "");
SYMBOL_CRC(jbd2_fc_wait_bufs, 0x80e0a042, "");
SYMBOL_CRC(jbd2_fc_release_bufs, 0xace93380, "");
SYMBOL_CRC(jbd2_journal_update_sb_errno, 0xb76b14d7, "");
SYMBOL_CRC(jbd2_journal_clear_features, 0xcecb6a69, "");
SYMBOL_CRC(jbd2_journal_grab_journal_head, 0x11e18bcb, "");
SYMBOL_CRC(jbd2_journal_put_journal_head, 0xe66e77d9, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb99bf705, "mutex_lock_io" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x1c81cf9a, "try_to_free_buffers" },
	{ 0x722d75ca, "sync_blockdev" },
	{ 0x1f139244, "free_buffer_head" },
	{ 0x340ca316, "unregister_shrinker" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x448d0691, "rt_write_unlock" },
	{ 0x4a53bd5a, "kmem_cache_alloc" },
	{ 0xb9fdc9cc, "blk_finish_plug" },
	{ 0xf815c782, "__cond_resched_lock" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x8d709732, "bit_waitqueue" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8035e119, "__brelse" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xff4779b2, "perf_trace_run_bpf_submit" },
	{ 0x49608959, "migrate_disable" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xcf39d81, "__bh_read_batch" },
	{ 0xc9ea23a3, "bpf_trace_run5" },
	{ 0x1c2aad0f, "__wait_on_buffer" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0xd3625834, "kmem_cache_free" },
	{ 0x19647086, "__bh_read" },
	{ 0xe08d1fcb, "trace_event_reg" },
	{ 0x37475b86, "blkdev_issue_zeroout" },
	{ 0xabbc43db, "filemap_fdatawait_range_keep_errors" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x2b5d5197, "crypto_shash_update" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd252f3eb, "freezing_slow_path" },
	{ 0xd20922f7, "bpf_trace_run1" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0xb51c730, "proc_mkdir" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa1ccc302, "__init_waitqueue_head" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xa02daadf, "set_bh_page" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf763bd8a, "kthread_create_on_node" },
	{ 0xfabb2f0c, "bpf_trace_run3" },
	{ 0x77efd3d2, "seq_read" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x3a188989, "rt_read_lock" },
	{ 0x2892060b, "unlock_buffer" },
	{ 0x7da46fc, "__getblk_gfp" },
	{ 0xa38ff7ba, "trace_event_buffer_reserve" },
	{ 0x21bdb523, "errseq_check_and_advance" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xc8a6e499, "prepare_to_wait_exclusive" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xca431c05, "wake_bit_function" },
	{ 0x5f38686f, "__folio_put" },
	{ 0x18dee5e1, "rt_read_unlock" },
	{ 0xcf4a2ba, "remove_proc_entry" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0x66fc26b0, "__lock_buffer" },
	{ 0x66852c83, "rt_write_lock" },
	{ 0x5fee93f2, "truncate_inode_pages_range" },
	{ 0x1cc75148, "blkdev_issue_flush" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x26bfc76a, "end_buffer_write_sync" },
	{ 0xbde18153, "seq_open" },
	{ 0xdcc82de1, "kmalloc_trace" },
	{ 0x6ba0bf8c, "bmap" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x6a460dc5, "schedule_hrtimeout" },
	{ 0xac537ac2, "percpu_counter_destroy" },
	{ 0xaa4dee32, "crypto_alloc_shash" },
	{ 0x7410aba2, "strreplace" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc5775fdf, "kmalloc_caches" },
	{ 0xbd93e28b, "kmem_cache_destroy" },
	{ 0xc91dd282, "blkdev_issue_discard" },
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0x3a0b81d3, "bh_uptodate_or_lock" },
	{ 0xb001b743, "blk_start_plug" },
	{ 0x11833f11, "bpf_trace_run4" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x622ed563, "folio_unlock" },
	{ 0xe1ca974e, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf84ce8d0, "trace_raw_output_prep" },
	{ 0x6ef1300d, "bpf_trace_run6" },
	{ 0x3aa513a4, "mark_buffer_dirty" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x84f9e439, "__find_get_block" },
	{ 0x14b8ec22, "__trace_trigger_soft_disabled" },
	{ 0x311b4d6b, "filemap_fdatawrite_range" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x496aeb9c, "finish_wait" },
	{ 0x53aa30ab, "trace_event_printf" },
	{ 0xc4b0d8ab, "__bforget" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x8c48e31e, "write_dirty_buffer" },
	{ 0x74c6606, "register_shrinker" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x547e81dd, "prepare_to_wait" },
	{ 0x4df02057, "crc32_be" },
	{ 0xda972c48, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x2ea85aa9, "iput" },
	{ 0x91961bc7, "pcpu_hot" },
	{ 0xca100241, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xf9ed6acc, "blockdev_superblock" },
	{ 0x350c478, "proc_create_data" },
	{ 0x81ad0d2a, "bpf_trace_run2" },
	{ 0x343b8a11, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa0f6e955, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xfdffe398, "kmem_cache_create" },
	{ 0x950221f4, "bpf_trace_run8" },
	{ 0x8184133f, "submit_bh" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x20cbb30a, "__percpu_counter_init" },
	{ 0xb2311e57, "alloc_buffer_head" },
	{ 0x7882082b, "wake_up_process" },
	{ 0x246c9895, "trace_event_buffer_commit" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x64fc4f23, "crypto_destroy_tfm" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "58EA3A0EA4BC8A2DC8403F1");

MODULE_INFO(suserelease, "SLFO-1.0");
