#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(v9fs_register_trans, 0x70fe35aa, "");
SYMBOL_CRC(v9fs_unregister_trans, 0x4eeda59a, "");
SYMBOL_CRC(v9fs_get_trans_by_name, 0xc8ca3e10, "");
SYMBOL_CRC(v9fs_get_default_trans, 0x5b1bafc9, "");
SYMBOL_CRC(p9_is_proto_dotl, 0x513d2ad9, "");
SYMBOL_CRC(p9_is_proto_dotu, 0xf40447df, "");
SYMBOL_CRC(p9_show_client_options, 0x4d111f0c, "");
SYMBOL_CRC(p9_fcall_fini, 0x4ba99359, "");
SYMBOL_CRC(p9_tag_lookup, 0x02e1a2b5, "");
SYMBOL_CRC(p9_req_put, 0x8cf75f06, "");
SYMBOL_CRC(p9_client_cb, 0xffbca3c6, "");
SYMBOL_CRC(p9_parse_header, 0x761cad64, "");
SYMBOL_CRC(__tracepoint_9p_fid_ref, 0x6fa063f5, "");
SYMBOL_CRC(__traceiter_9p_fid_ref, 0x70bc59de, "");
SYMBOL_CRC(__SCK__tp_func_9p_fid_ref, 0x522c8a66, "");
SYMBOL_CRC(__SCT__tp_func_9p_fid_ref, 0xb798a888, "");
SYMBOL_CRC(do_trace_9p_fid_get, 0xb87b7d1d, "");
SYMBOL_CRC(do_trace_9p_fid_put, 0x8a3fdd58, "");
SYMBOL_CRC(p9_client_create, 0x1b4a5f9e, "");
SYMBOL_CRC(p9_client_destroy, 0x709e0c88, "");
SYMBOL_CRC(p9_client_disconnect, 0x222442e9, "");
SYMBOL_CRC(p9_client_begin_disconnect, 0x36e7f688, "");
SYMBOL_CRC(p9_client_attach, 0xe749f7e6, "");
SYMBOL_CRC(p9_client_walk, 0x96a5a9fe, "");
SYMBOL_CRC(p9_client_open, 0xc96e6d97, "");
SYMBOL_CRC(p9_client_create_dotl, 0xae2238c3, "");
SYMBOL_CRC(p9_client_fcreate, 0xd07cf245, "");
SYMBOL_CRC(p9_client_symlink, 0x65067b2e, "");
SYMBOL_CRC(p9_client_link, 0xb576984d, "");
SYMBOL_CRC(p9_client_fsync, 0x0aabead7, "");
SYMBOL_CRC(p9_client_clunk, 0x0eb9bb98, "");
SYMBOL_CRC(p9_client_remove, 0xf1c6e84a, "");
SYMBOL_CRC(p9_client_unlinkat, 0xc1217254, "");
SYMBOL_CRC(p9_client_read, 0x201880ec, "");
SYMBOL_CRC(p9_client_read_once, 0xdf0e196c, "");
SYMBOL_CRC(p9_client_write, 0x766ae76b, "");
SYMBOL_CRC(p9_client_stat, 0xb4f78ef5, "");
SYMBOL_CRC(p9_client_getattr_dotl, 0x8a4d66d5, "");
SYMBOL_CRC(p9_client_wstat, 0x54e2296d, "");
SYMBOL_CRC(p9_client_setattr, 0x8b731103, "");
SYMBOL_CRC(p9_client_statfs, 0x4a402c46, "");
SYMBOL_CRC(p9_client_rename, 0x41ede264, "");
SYMBOL_CRC(p9_client_renameat, 0x5b56d066, "");
SYMBOL_CRC(p9_client_xattrwalk, 0xc057efb5, "_gpl");
SYMBOL_CRC(p9_client_xattrcreate, 0x014e4ba5, "_gpl");
SYMBOL_CRC(p9_client_readdir, 0x2e397e9c, "");
SYMBOL_CRC(p9_client_mknod_dotl, 0xfc9e4b9c, "");
SYMBOL_CRC(p9_client_mkdir_dotl, 0xb986ed21, "");
SYMBOL_CRC(p9_client_lock_dotl, 0xfdf95b74, "");
SYMBOL_CRC(p9_client_getlock_dotl, 0x68b647d1, "");
SYMBOL_CRC(p9_client_readlink, 0xf63ebeb1, "");
SYMBOL_CRC(p9_error_init, 0xe58a3360, "");
SYMBOL_CRC(p9_errstr2errno, 0x3d73a797, "");
SYMBOL_CRC(p9stat_free, 0xd384c683, "");
SYMBOL_CRC(p9stat_read, 0x71adfadc, "");
SYMBOL_CRC(p9dirent_read, 0xd2aa9d5b, "");
SYMBOL_CRC(p9_release_pages, 0xf2c02d23, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x91961bc7, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x853e3724, "__put_devmap_managed_page_refs" },
	{ 0x81ad0d2a, "bpf_trace_run2" },
	{ 0x343b8a11, "prepare_to_wait_event" },
	{ 0xa0f6e955, "__wake_up" },
	{ 0xfdffe398, "kmem_cache_create" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x246c9895, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xfb6af58d, "recalc_sigpending" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1c98150d, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0x428938a8, "idr_get_next" },
	{ 0x4a53bd5a, "kmem_cache_alloc" },
	{ 0x3877b5c6, "module_put" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x1fd6cdb3, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xff4779b2, "perf_trace_run_bpf_submit" },
	{ 0x4e3567f7, "match_int" },
	{ 0x38b0ad21, "idr_alloc" },
	{ 0xdca1bf31, "kmem_cache_create_usercopy" },
	{ 0xa51c9270, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x954f099c, "idr_preload" },
	{ 0xd3625834, "kmem_cache_free" },
	{ 0x5a921311, "strncmp" },
	{ 0x2f379841, "from_kgid" },
	{ 0xe08d1fcb, "trace_event_reg" },
	{ 0x5588641b, "iov_iter_kvec" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xf2fded0f, "from_kuid" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa1ccc302, "__init_waitqueue_head" },
	{ 0xf6c87ef1, "make_kgid" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xfabb2f0c, "bpf_trace_run3" },
	{ 0xdd64e639, "strscpy" },
	{ 0xa38ff7ba, "trace_event_buffer_reserve" },
	{ 0x85df9b6c, "strsep" },
	{ 0xa427b25e, "init_user_ns" },
	{ 0x44e9a829, "match_token" },
	{ 0x5f38686f, "__folio_put" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0x9771ccd9, "_copy_from_iter" },
	{ 0xacf4d843, "match_strdup" },
	{ 0xe6ef2cc7, "seq_puts" },
	{ 0xdcc82de1, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x790a1c96, "iov_iter_revert" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc5775fdf, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xbd93e28b, "kmem_cache_destroy" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xe037c03a, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x150762a1, "_copy_to_iter" },
	{ 0x11833f11, "bpf_trace_run4" },
	{ 0x51905f4, "idr_find" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb0e602eb, "memmove" },
	{ 0x7cb5ed3e, "idr_alloc_u32" },
	{ 0xf84ce8d0, "trace_raw_output_prep" },
	{ 0x14b8ec22, "__trace_trigger_soft_disabled" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x496aeb9c, "finish_wait" },
	{ 0x53aa30ab, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xda972c48, "trace_event_raw_init" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "812C4875CAAED15FCD916CD");

MODULE_INFO(suserelease, "SLFO-1.0");
