#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ufshcd_dump_regs, 0x60bf2686, "_gpl");
SYMBOL_CRC(ufshcd_delay_us, 0x723b1abf, "_gpl");
SYMBOL_CRC(ufshcd_get_local_unipro_ver, 0x788f1c45, "");
SYMBOL_CRC(ufshcd_hold, 0x83b84db8, "_gpl");
SYMBOL_CRC(ufshcd_release, 0x5e2731fc, "_gpl");
SYMBOL_CRC(ufshcd_clkgate_delay_set, 0xd1e82f15, "_gpl");
SYMBOL_CRC(ufshcd_dme_configure_adapt, 0x7e393880, "_gpl");
SYMBOL_CRC(ufshcd_dme_set_attr, 0x6d276f6c, "_gpl");
SYMBOL_CRC(ufshcd_dme_get_attr, 0xc9cbdc08, "_gpl");
SYMBOL_CRC(ufshcd_uic_change_pwr_mode, 0xd5b73151, "_gpl");
SYMBOL_CRC(ufshcd_link_recovery, 0x2817b92e, "_gpl");
SYMBOL_CRC(ufshcd_uic_hibern8_enter, 0xaff4f238, "_gpl");
SYMBOL_CRC(ufshcd_uic_hibern8_exit, 0x1e80dd29, "_gpl");
SYMBOL_CRC(ufshcd_auto_hibern8_update, 0x75f5b198, "_gpl");
SYMBOL_CRC(ufshcd_config_pwr_mode, 0x18ce46ab, "_gpl");
SYMBOL_CRC(ufshcd_make_hba_operational, 0x28ae0fe7, "_gpl");
SYMBOL_CRC(ufshcd_hba_stop, 0x975488f4, "_gpl");
SYMBOL_CRC(ufshcd_hba_enable, 0x237667da, "_gpl");
SYMBOL_CRC(ufshcd_update_evt_hist, 0xda0e81d4, "_gpl");
SYMBOL_CRC(ufshcd_fixup_dev_quirks, 0x43d051d1, "_gpl");
SYMBOL_CRC(ufshcd_get_vreg, 0xb9fd3e1b, "_gpl");
SYMBOL_CRC(ufshcd_system_suspend, 0x1f317156, "");
SYMBOL_CRC(ufshcd_system_resume, 0x8394efa6, "");
SYMBOL_CRC(ufshcd_runtime_suspend, 0x23117030, "");
SYMBOL_CRC(ufshcd_runtime_resume, 0xa0715882, "");
SYMBOL_CRC(ufshcd_shutdown, 0x3915419f, "");
SYMBOL_CRC(ufshcd_remove, 0x2e0403e1, "_gpl");
SYMBOL_CRC(ufshcd_system_freeze, 0xed673cb9, "_gpl");
SYMBOL_CRC(ufshcd_system_restore, 0xf2cdf217, "_gpl");
SYMBOL_CRC(ufshcd_system_thaw, 0x32ad00f0, "_gpl");
SYMBOL_CRC(ufshcd_dealloc_host, 0x937e5aa5, "_gpl");
SYMBOL_CRC(ufshcd_alloc_host, 0xe6cfd0dc, "");
SYMBOL_CRC(ufshcd_init, 0x73abd6dc, "_gpl");
SYMBOL_CRC(ufshcd_resume_complete, 0x4e2f9f49, "_gpl");
SYMBOL_CRC(__ufshcd_suspend_prepare, 0xc5170e44, "_gpl");
SYMBOL_CRC(ufshcd_suspend_prepare, 0x17f16c59, "_gpl");
SYMBOL_CRC(ufshcd_mcq_write_cqis, 0xac0a0f55, "_gpl");
SYMBOL_CRC(ufshcd_mcq_poll_cqe_nolock, 0xcca220d3, "_gpl");
SYMBOL_CRC(ufshcd_mcq_enable_esi, 0x9bb34d7f, "_gpl");
SYMBOL_CRC(ufshcd_mcq_config_esi, 0xa300cae4, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xd0b439d5, "scsi_dma_map" },
	{ 0xc8d4943a, "scsi_print_sense_hdr" },
	{ 0xe914e41e, "strcpy" },
	{ 0xa3a03697, "regulator_enable" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xfd385210, "blk_crypto_reprogram_all_keys" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x2b9a659, "__init_rwsem" },
	{ 0xe1463ec9, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x11833f11, "bpf_trace_run4" },
	{ 0x5ba9c87f, "blk_crypto_keyslot_index" },
	{ 0xb99525b6, "devm_request_threaded_irq" },
	{ 0x52ea370d, "param_ops_uint" },
	{ 0xe62223a6, "debugfs_attr_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x25b88e10, "devm_kmalloc" },
	{ 0x72141b27, "bsg_setup_queue" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0x9c16db58, "scsi_autopm_put_device" },
	{ 0xc7a9dcc0, "scsi_device_get" },
	{ 0x35db5db2, "bio_add_pc_page" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9e902e26, "bsg_remove_queue" },
	{ 0x4ed4faf1, "dev_set_name" },
	{ 0xdc54de44, "bsg_job_done" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x53d8e4d0, "dmam_alloc_attrs" },
	{ 0xf84ce8d0, "trace_raw_output_prep" },
	{ 0x6b44c02e, "scsi_remove_host" },
	{ 0x96d4111c, "blk_rq_append_bio" },
	{ 0xbe44f0d2, "param_get_bool" },
	{ 0x6ef1300d, "bpf_trace_run6" },
	{ 0x4c4f91e6, "pm_runtime_set_autosuspend_delay" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x14b8ec22, "__trace_trigger_soft_disabled" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x8f028f9b, "blk_pm_runtime_init" },
	{ 0x53aa30ab, "trace_event_printf" },
	{ 0xc0bc3ceb, "scsi_report_bus_reset" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xa9b4da44, "sysfs_remove_groups" },
	{ 0xb1c633b5, "hwmon_notify_event" },
	{ 0xcf2a6966, "up" },
	{ 0x2de57d2c, "device_initialize" },
	{ 0xf93d8b3e, "sysfs_create_groups" },
	{ 0x630ee035, "dev_pm_opp_add" },
	{ 0xda972c48, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x65f3df9, "scsi_dma_unmap" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x91961bc7, "pcpu_hot" },
	{ 0xca100241, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x81ad0d2a, "bpf_trace_run2" },
	{ 0xf4568a6b, "__scsi_iterate_devices" },
	{ 0xfdffe398, "kmem_cache_create" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0xd1cd0215, "get_device" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x45ec6d78, "__dynamic_dev_dbg" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0x1e8ae27f, "mempool_free" },
	{ 0x27e1248f, "devm_clk_get" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xb92548ba, "blk_mq_alloc_tag_set" },
	{ 0x24e562c1, "scsi_device_set_state" },
	{ 0xd4a63387, "devfreq_add_device" },
	{ 0xd683464b, "dev_driver_string" },
	{ 0x246c9895, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9cdef016, "__pm_runtime_set_status" },
	{ 0xf5f370e0, "async_schedule_node" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x92997ed8, "_printk" },
	{ 0xaa30cb4b, "mempool_create" },
	{ 0x9e4d1c09, "scsi_register_driver" },
	{ 0xa8e42cd5, "blk_crypto_register" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x98675b54, "param_get_uint" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x405be82d, "put_device" },
	{ 0xa00fb015, "mempool_alloc" },
	{ 0x8cc18953, "blk_mq_free_request" },
	{ 0x21a28cf5, "device_property_read_u32_array" },
	{ 0x666e1119, "devm_regulator_get" },
	{ 0x5417537b, "__free_pages" },
	{ 0x4a53bd5a, "kmem_cache_alloc" },
	{ 0xcbaf8c35, "_dev_info" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xf0a0b532, "scsi_device_put" },
	{ 0xd4d5abb2, "device_create_file" },
	{ 0x73ecfc43, "debugfs_attr_read" },
	{ 0x70aa8bb8, "bio_put" },
	{ 0xae9d0c22, "regulator_set_load" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xff4779b2, "perf_trace_run_bpf_submit" },
	{ 0xf7bd1e2c, "down_write" },
	{ 0xd0fe6c1, "devm_kfree" },
	{ 0x4f791397, "_dev_err" },
	{ 0x4850ff4e, "blk_queue_update_dma_alignment" },
	{ 0x25352d19, "devfreq_remove_device" },
	{ 0x33001951, "scsi_host_put" },
	{ 0x6d4ce75, "up_write" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x25db57e1, "mempool_resize" },
	{ 0x6059e10c, "device_add" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x5de5c077, "blk_execute_rq_nowait" },
	{ 0xd4034828, "system_freezable_wq" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xf19a7bc1, "simple_attr_release" },
	{ 0x3f0b1826, "hwmon_device_register_with_info" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6626afca, "down" },
	{ 0xc9ea23a3, "bpf_trace_run5" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x235dd3b6, "dev_pm_opp_remove" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0x47da9878, "sdev_prefix_printk" },
	{ 0xd3625834, "kmem_cache_free" },
	{ 0x2bfb330f, "scsi_scan_host" },
	{ 0x908ba8ae, "debugfs_remove" },
	{ 0x925493f, "clear_page_orig" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0x5a921311, "strncmp" },
	{ 0xe08d1fcb, "trace_event_reg" },
	{ 0x86f13a98, "device_link_remove" },
	{ 0x3357954a, "param_set_bool" },
	{ 0xe38b9585, "blk_mq_alloc_request" },
	{ 0x32d404ab, "driver_unregister" },
	{ 0xad59225b, "blk_queue_update_dma_pad" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0xf0b852ba, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x8d7c340a, "blk_put_queue" },
	{ 0x2a795e6d, "device_del" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xb9ebc9bb, "dmam_free_coherent" },
	{ 0xfb578fc5, "memset" },
	{ 0x1960daf3, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x27ce879d, "regulator_count_voltages" },
	{ 0x463637ef, "scsi_is_host_device" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd46d311, "debugfs_create_u32" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x839e3d51, "blk_mq_init_queue" },
	{ 0x28cdb9a6, "blk_mq_unique_tag" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x73d9bfa0, "bpf_trace_run10" },
	{ 0x446d7e1b, "scsi_device_quiesce" },
	{ 0xeffc7b5d, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x349f7fbe, "scsi_autopm_get_device" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf7333e3e, "dma_set_coherent_mask" },
	{ 0x31b18b81, "scsi_print_command" },
	{ 0x77efd3d2, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x4375abc9, "_dev_notice" },
	{ 0x2e8be035, "pm_runtime_forbid" },
	{ 0xe4188c4c, "debugfs_create_file" },
	{ 0x7a1f5fe9, "param_set_uint_minmax" },
	{ 0xb7f1b225, "pm_runtime_allow" },
	{ 0xa38ff7ba, "trace_event_buffer_reserve" },
	{ 0x1c9957f, "__pm_runtime_resume" },
	{ 0xe687b697, "devfreq_suspend_device" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe9fc9aa3, "blk_mq_destroy_queue" },
	{ 0x874d3c37, "scsi_execute_cmd" },
	{ 0x66954680, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x4de52ef9, "mempool_destroy" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0xe2cdf336, "devm_blk_crypto_profile_init" },
	{ 0xb06a867e, "hwmon_device_unregister" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x52c30fc, "blk_mq_tagset_busy_iter" },
	{ 0x9a8deded, "scsi_done" },
	{ 0xe6bcac2c, "single_release" },
	{ 0x4e81244a, "scsi_unblock_requests" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0xf11d865b, "dma_set_mask" },
	{ 0x65acf90c, "sbitmap_weight" },
	{ 0x4a6a80c3, "regulator_disable" },
	{ 0xa7ac68f2, "dev_err_probe" },
	{ 0x9a4c50b1, "dma_unmap_sg_attrs" },
	{ 0xdcc82de1, "kmalloc_trace" },
	{ 0xd5b15be0, "__devm_add_action" },
	{ 0xb0bf00a2, "scsi_remove_device" },
	{ 0x3beea97d, "scsi_block_requests" },
	{ 0x5337fd17, "scsi_add_host_with_dma" },
	{ 0x754d539c, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd34f2e1b, "single_open" },
	{ 0x79ff48c3, "scsi_host_alloc" },
	{ 0x5ff30312, "__scsi_add_device" },
	{ 0xe130298d, "devfreq_resume_device" },
	{ 0x51909d20, "debugfs_create_dir" },
	{ 0xfce2a59, "device_link_add" },
	{ 0x34f04bf7, "bio_alloc_bioset" },
	{ 0x815588a6, "clk_enable" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0x52ce608c, "up_read" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x28df10c3, "scsi_change_queue_depth" },
	{ 0x8087f62a, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc5775fdf, "kmalloc_caches" },
	{ 0x7ac1254b, "local_clock" },
	{ 0xc417c063, "device_remove_file" },
	{ 0x45c54c3b, "fs_bio_set" },
	{ 0xbd93e28b, "kmem_cache_destroy" },
	{ 0x5f892d84, "dma_map_sg_attrs" },
	{ 0x5c26a53b, "wait_for_completion_io_timeout" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "2E4AEB7ED20455E59EFFB91");

MODULE_INFO(suserelease, "SLFO-1.0");
