#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xff4779b2, "perf_trace_run_bpf_submit" },
	{ 0xa572006f, "fput" },
	{ 0xf7bd1e2c, "down_write" },
	{ 0x6d4ce75, "up_write" },
	{ 0xa07a37f0, "memchr" },
	{ 0xdcb4c3ad, "fscache_withdraw_cache" },
	{ 0x16ebd53e, "noop_llseek" },
	{ 0xc9ea23a3, "bpf_trace_run5" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0xf40f0ba, "lock_rename" },
	{ 0xd3625834, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xe08d1fcb, "trace_event_reg" },
	{ 0xba664fb1, "vfs_getxattr" },
	{ 0x1a0d09e7, "fscache_n_write" },
	{ 0x7886312c, "fscache_caching_failed" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x11089ac7, "_ctype" },
	{ 0x71e64201, "security_path_mkdir" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0xcce11a60, "fscache_n_no_write_space" },
	{ 0xfaf96b4e, "kern_path" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x3f34e6d, "vfs_iocb_iter_read" },
	{ 0xd0d2a74, "misc_register" },
	{ 0x60c49fe3, "fscache_resume_after_invalidation" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa1ccc302, "__init_waitqueue_head" },
	{ 0x93fac214, "open_with_fake_path" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x90a4b05, "rt_spin_unlock" },
	{ 0x19365146, "unlock_rename" },
	{ 0x9ffefcb2, "fscache_n_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeffc7b5d, "down_read" },
	{ 0xb72252c7, "rt_spin_lock" },
	{ 0x90ebedaa, "fscache_acquire_cache" },
	{ 0x1e85cdc5, "security_path_unlink" },
	{ 0x18ec1e70, "mnt_drop_write" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xfbb76328, "security_inode_create" },
	{ 0xfabb2f0c, "bpf_trace_run3" },
	{ 0x509613b7, "override_creds" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x4209e870, "fscache_add_cache" },
	{ 0xc137790e, "__tracepoint_fscache_access_volume" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x69e7cc8f, "path_get" },
	{ 0xa38ff7ba, "trace_event_buffer_reserve" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xc6a54e50, "lookup_positive_unlocked" },
	{ 0xb081e0ef, "xa_destroy" },
	{ 0x8f5916bd, "fscache_withdraw_cookie" },
	{ 0xbd3a062d, "xa_find" },
	{ 0x1ff6ce96, "fscache_clearance_waiters" },
	{ 0xbe046d77, "dput" },
	{ 0xc8be814a, "iov_iter_zero" },
	{ 0xe47450bc, "lockref_get" },
	{ 0x575dfbcf, "touch_atime" },
	{ 0xbea81f13, "__percpu_down_read" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xe235d881, "__get_task_ioprio" },
	{ 0x615e5bac, "__SCK__tp_func_fscache_access_volume" },
	{ 0x247ad2d9, "vfs_llseek" },
	{ 0x41569417, "rcuwait_wake_up" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x79c57a2, "vfs_link" },
	{ 0xebec4c86, "prepare_kernel_cred" },
	{ 0x52c95287, "xa_find_after" },
	{ 0xdcc82de1, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x349cba85, "strchr" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x52ce608c, "up_read" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x647bc1ef, "security_inode_mkdir" },
	{ 0x8f1b285b, "security_path_rename" },
	{ 0x1259e2d1, "set_security_override_from_ctx" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4404d2aa, "fscache_n_no_create_space" },
	{ 0xc5775fdf, "kmalloc_caches" },
	{ 0xbd93e28b, "kmem_cache_destroy" },
	{ 0x70abb4a2, "set_create_files_as" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x90d447f3, "fscache_n_culled" },
	{ 0xd54bf610, "fscache_wait_for_operation" },
	{ 0xfb4d7d8c, "vfs_removexattr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xa9817a5f, "revert_creds" },
	{ 0x6f2adb4b, "misc_deregister" },
	{ 0x6353d98e, "vfs_setxattr" },
	{ 0xdf423544, "fscache_try_get_volume" },
	{ 0x205e7dc2, "notify_change" },
	{ 0x11833f11, "bpf_trace_run4" },
	{ 0x52ea370d, "param_ops_uint" },
	{ 0x7b1b25da, "__SCT__tp_func_fscache_access_volume" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x1203bdad, "vfs_rename" },
	{ 0xbe5a460, "lookup_one_len" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x13753b89, "fscache_get_cookie" },
	{ 0xa6257a2f, "complete" },
	{ 0xf84ce8d0, "trace_raw_output_prep" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x14b8ec22, "__trace_trigger_soft_disabled" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x496aeb9c, "finish_wait" },
	{ 0x53aa30ab, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x52074537, "__xa_erase" },
	{ 0x9bf4b6c7, "abort_creds" },
	{ 0x58d90769, "fscache_io_error" },
	{ 0xed84718e, "sync_filesystem" },
	{ 0x1852af6a, "fscache_put_volume" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0xda972c48, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x37a0cba, "kfree" },
	{ 0x91961bc7, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xd4af2999, "fscache_cookie_lookup_negative" },
	{ 0x81ad0d2a, "bpf_trace_run2" },
	{ 0x343b8a11, "prepare_to_wait_event" },
	{ 0xa0f6e955, "__wake_up" },
	{ 0xfdffe398, "kmem_cache_create" },
	{ 0x950221f4, "bpf_trace_run8" },
	{ 0x7b48d63d, "vfs_unlink" },
	{ 0xa932cca7, "vfs_truncate" },
	{ 0x3dac179b, "path_put" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xaabcc2e7, "__put_cred" },
	{ 0x9622e5d, "vfs_mkdir" },
	{ 0x246c9895, "trace_event_buffer_commit" },
	{ 0x92256c52, "vfs_statfs" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe38abbf2, "mnt_want_write_file" },
	{ 0x92997ed8, "_printk" },
	{ 0xa9b21788, "vfs_fallocate" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x28584aee, "vfs_iocb_iter_write" },
	{ 0x788c2969, "fscache_end_cookie_access" },
	{ 0x203284b9, "fscache_withdraw_volume" },
	{ 0x1c9f7f9c, "mnt_want_write" },
	{ 0xa916b694, "strnlen" },
	{ 0xc73df86a, "fscache_relinquish_cache" },
	{ 0x4a53bd5a, "kmem_cache_alloc" },
	{ 0xc6cbbc89, "capable" },
	{ 0x4a3266c0, "mnt_drop_write_file" },
	{ 0x4703e350, "vfs_tmpfile_open" },
	{ 0xf114d751, "mntput" },
	{ 0x2fe1c3aa, "fscache_put_cookie" },
	{ 0x7b517d69, "prepare_creds" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "fscache");


MODULE_INFO(srcversion, "ABAB991BD8192391C005D3B");

MODULE_INFO(suserelease, "SLFO-1.0");
